package com.steering.mes.mcp.entity;
/**
 * 数据库表COUPLING_CUT_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20180117CCCC   date 2018-08-21
 */
@SuppressWarnings("serial")
public class CouplingCutResultEntity implements java.io.Serializable {
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 工单号（炉次计划号+01流水）
     */
    private String woId = "";
    /**
     * 切管个数
     */
    private String qualifiedNumber = "";
    /**
     * 加工支数
     */
    private String cutPieces = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 盈亏个数PRALO_PCS
     */
    private String praloPcs = "";
    public String getPraloPcs() {
		return praloPcs;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setPraloPcs(String praloPcs) {
		this.praloPcs = praloPcs;
	}

	/**
     * 废品量
     */
    private String rejectedPcs = "";
    /**
     * 废品原因
     */
    private String rejectedReason = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 机床编号
     */
    private String machineNo = "";
    /**
     * 带锯料
     */
    private String isRemaining = "";
    /**
     * 黄漆长度
     */
    private String lvalidLength = "";
    /**
     * 是否压印
     */
    private String isEmbossed = "";
    /**
     * 压印信息
     */
    private String embContent = "";
    /**
     * 压印个数
     */
    private String embCount = "";
    /**
     * 粗加工个数
     */
    private String roughmachCount = "";
    /**
     * 是否粗加工
     */
    private String isRoughmach = "";
    /**
     * 是否全项委托（0否，1是）
     */
    private String ifAllOutWork = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 操作工
     */
    private String colOperator = "";
    /**
     * 离线支数
     */
    private String offNum = "";
    /**
     * 是否监制
     */
    private String ifMonitorJg = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 炉号JUDGE_STOVE_NO
     */
    private String judgeStoveNo = "";

    public String getJudgeStoveNo() {
		return judgeStoveNo;
	}

	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}
	 /**
     * 批号
     */
    private String batchNo = "";

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	/**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @return value
     */
    public String getWoId() {
        return woId;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @param woId value
     */
    public void setWoId(String woId) {
        this.woId = woId;
    }

    /**
     * 切管个数
     * @return value
     */
    public String getQualifiedNumber() {
        return qualifiedNumber;
    }

    /**
     * 切管个数
     * @param qualifiedNumber value
     */
    public void setQualifiedNumber(String qualifiedNumber) {
        this.qualifiedNumber = qualifiedNumber;
    }

    /**
     * 加工支数
     * @return value
     */
    public String getCutPieces() {
        return cutPieces;
    }

    /**
     * 加工支数
     * @param cutPieces value
     */
    public void setCutPieces(String cutPieces) {
        this.cutPieces = cutPieces;
    }

    /**
     * 废品量
     * @return value
     */
    public String getRejectedPcs() {
        return rejectedPcs;
    }

    /**
     * 废品量
     * @param rejectedPcs value
     */
    public void setRejectedPcs(String rejectedPcs) {
        this.rejectedPcs = rejectedPcs;
    }

    /**
     * 废品原因
     * @return value
     */
    public String getRejectedReason() {
        return rejectedReason;
    }

    /**
     * 废品原因
     * @param rejectedReason value
     */
    public void setRejectedReason(String rejectedReason) {
        this.rejectedReason = rejectedReason;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 机床编号
     * @return value
     */
    public String getMachineNo() {
        return machineNo;
    }

    /**
     * 机床编号
     * @param machineNo value
     */
    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    /**
     * 带锯料
     * @return value
     */
    public String getIsRemaining() {
        return isRemaining;
    }

    /**
     * 带锯料
     * @param isRemaining value
     */
    public void setIsRemaining(String isRemaining) {
        this.isRemaining = isRemaining;
    }

    /**
     * 黄漆长度
     * @return value
     */
    public String getLvalidLength() {
        return lvalidLength;
    }

    /**
     * 黄漆长度
     * @param lvalidLength value
     */
    public void setLvalidLength(String lvalidLength) {
        this.lvalidLength = lvalidLength;
    }

    /**
     * 是否压印
     * @return value
     */
    public String getIsEmbossed() {
        return isEmbossed;
    }

    /**
     * 是否压印
     * @param isEmbossed value
     */
    public void setIsEmbossed(String isEmbossed) {
        this.isEmbossed = isEmbossed;
    }

    /**
     * 压印信息
     * @return value
     */
    public String getEmbContent() {
        return embContent;
    }

    /**
     * 压印信息
     * @param embContent value
     */
    public void setEmbContent(String embContent) {
        this.embContent = embContent;
    }

    /**
     * 压印个数
     * @return value
     */
    public String getEmbCount() {
        return embCount;
    }

    /**
     * 压印个数
     * @param embCount value
     */
    public void setEmbCount(String embCount) {
        this.embCount = embCount;
    }

    /**
     * 粗加工个数
     * @return value
     */
    public String getRoughmachCount() {
        return roughmachCount;
    }

    /**
     * 粗加工个数
     * @param roughmachCount value
     */
    public void setRoughmachCount(String roughmachCount) {
        this.roughmachCount = roughmachCount;
    }

    /**
     * 是否粗加工
     * @return value
     */
    public String getIsRoughmach() {
        return isRoughmach;
    }

    /**
     * 是否粗加工
     * @param isRoughmach value
     */
    public void setIsRoughmach(String isRoughmach) {
        this.isRoughmach = isRoughmach;
    }

    /**
     * 是否全项委托（0否，1是）
     * @return value
     */
    public String getIfAllOutWork() {
        return ifAllOutWork;
    }

    /**
     * 是否全项委托（0否，1是）
     * @param ifAllOutWork value
     */
    public void setIfAllOutWork(String ifAllOutWork) {
        this.ifAllOutWork = ifAllOutWork;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作工
     * @return value
     */
    public String getColOperator() {
        return colOperator;
    }

    /**
     * 操作工
     * @param colOperator value
     */
    public void setColOperator(String colOperator) {
        this.colOperator = colOperator;
    }

    /**
     * 离线支数
     * @return value
     */
    public String getOffNum() {
        return offNum;
    }

    /**
     * 离线支数
     * @param offNum value
     */
    public void setOffNum(String offNum) {
        this.offNum = offNum;
    }

    /**
     * 是否监制
     * @return value
     */
    public String getIfMonitorJg() {
        return ifMonitorJg;
    }

    /**
     * 是否监制
     * @param ifMonitorJg value
     */
    public void setIfMonitorJg(String ifMonitorJg) {
        this.ifMonitorJg = ifMonitorJg;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }
}
